#!/bin/bash

log "Обновление пакетов artix"
apt-get update
version() {
    local pkg ver
    ver="$(apt-cache madison "$1")"
    ver="${ver#*|}"
    ver="${ver%%|*}"
    ver="${ver//[[:space:]]/}"
    echo "$ver"
}
PACKAGES=(artix-mysql-config="$(version "artix-mysql-config")")
for pkg in artix45-sync-core2.1 artix-pos artix-sst-sco artix-pos-sco; do
    if dpkg-query -s "$pkg" >/dev/null 2>/dev/null; then
        PACKAGES+=("$pkg=$(version "$pkg")")
    fi
done

aptitude install -y \
        -o Dpkg::Options::=--force-confold \
        -o Aptitude::ProblemResolver::Discard-Null-Solution=true \
        -o Aptitude::ProblemResolver::RemoveScore=-1000000 \
        -o Aptitude::ProblemResolver::KeepScore=-1000000000 \
        "${PACKAGES[@]}"

apt-mark auto artix-mysql-config
